summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author mario2013-04-11 23:50:34 +0200
committer Robby Workman2013-04-16 00:20:34 +0200
commitc1884080df12569189e9ae72044fa7dd7d0ed065 (patch)
tree38d028b72fbd30ce55f0ef0d4926e3b543126959 /system
parentf6b1170f8ff4eff5023d4345e7a16e70e53374c9 (diff)
downloadslackbuilds-c1884080df12569189e9ae72044fa7dd7d0ed065.tar.gz
system/unrar: Updated for version 4.2.4.
This also bundles what was formerly "libunrar" here at SlackBuilds.org (so that will be removed). Thanks to Niklas 'Nille' Åkerström for assistance. Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/unrar/README9
-rw-r--r--system/unrar/slack-desc18
-rw-r--r--system/unrar/unrar.SlackBuild72
-rw-r--r--system/unrar/unrar.info10
4 files changed, 62 insertions, 47 deletions
diff --git a/system/unrar/README b/system/unrar/README
index 5d49d899e7..2e7ff1d55a 100644
--- a/system/unrar/README
+++ b/system/unrar/README
@@ -1,2 +1,7 @@
-WinRAR is a powerful archive manager. Unrar is an opensource subset
-of RAR from rarlab that can uncompress RAR images.
+The UnRAR utility is a freeware program, distributed with source
+code and developed for extracting, testing and viewing the contents
+of archives created with the RAR archiver version 1.50 and above.
+The UnRAR library is a minor part of the RAR archiver and contains
+the RAR uncompression algorithm. UnRAR requires very small volume
+of memory to operate. The UnRAR library can also be used by other
+programs to extract RAR archives.
diff --git a/system/unrar/slack-desc b/system/unrar/slack-desc
index 744e6aee47..3dfadfd376 100644
--- a/system/unrar/slack-desc
+++ b/system/unrar/slack-desc
@@ -6,14 +6,14 @@
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-unrar: unrar (unpacker for the RAR archive format)
-unrar:
-unrar: WinRAR is a powerful archive manager. Unrar is an opensource subset
-unrar: of RAR from rarlab that can uncompress RAR images.
-unrar:
-unrar: unrar home: http://www.rarlab.com/rar_add.htm
-unrar:
-unrar:
-unrar:
+unrar: unrar (Extract, test and view RAR archives)
unrar:
+unrar: The UnRAR utility is a freeware program, distributed with source
+unrar: code and developed for extracting, testing and viewing the contents
+unrar: of archives created with the RAR archiver version 1.50 and above.
+unrar: The UnRAR library is a minor part of the RAR archiver and contains
+unrar: the RAR uncompression algorithm. UnRAR requires very small volume
+unrar: of memory to operate. The UnRAR library can also be used by other
+unrar: programs to extract RAR archives.
unrar:
+unrar: Homepage: http://www.rarlab.com/rar_add.htm
diff --git a/system/unrar/unrar.SlackBuild b/system/unrar/unrar.SlackBuild
index 9d3ff3ba3a..26b72986b8 100644
--- a/system/unrar/unrar.SlackBuild
+++ b/system/unrar/unrar.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for unrar
-# Copyright 2006 Halim Issa <yallaone@gmail.com>
+# Copyright 2011-2013, mario <mario@slackverse.org>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -11,29 +11,28 @@
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-# Updated by Andrew Brouwers
-# Updated by Niklas 'Nille' Åkerström
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=unrar
-VERSION=4.0.7
+VERSION=${VERSION:-4.2.4}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -43,18 +42,19 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCS="license.txt readme.txt"
-
-case "$ARCH" in
- i486) SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- ;;
- i686) SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- ;;
- x86_64) SLKCFLAGS="-O2 -fPIC"
- ;;
- *) SLKCFLAGS="-O2"
- ;;
-esac
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
set -e
@@ -65,18 +65,28 @@ rm -rf $PRGNAM
tar xvf $CWD/${PRGNAM}src-$VERSION.tar.gz
cd $PRGNAM
chown -R root:root .
-chmod -R a-s,u+w,go+r-w .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
-make CXXFLAGS="$SLKCFLAGS" -f makefile.unix
+make CXXFLAGS="$SLKCFLAGS" -f makefile.unix unrar lib
install -D -m 755 unrar $PKG/usr/bin/unrar
-strip --strip-unneeded $PKG/usr/bin/unrar
+install -D -m 644 libunrar.so $PKG/usr/lib${LIBDIRSUFFIX}/libunrar.so
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/man/man1
gzip -9c $CWD/unrar.1 > $PKG/usr/man/man1/unrar.1.gz
+mkdir -p $PKG/usr/include/unrar
+cp -a *.cpp *.hpp $PKG/usr/include/unrar
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a acknow.txt readme.txt license.txt $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
chmod 0644 $PKG/usr/doc/$PRGNAM-$VERSION/*
diff --git a/system/unrar/unrar.info b/system/unrar/unrar.info
index 4da1dd2699..534a77a469 100644
--- a/system/unrar/unrar.info
+++ b/system/unrar/unrar.info
@@ -1,10 +1,10 @@
PRGNAM="unrar"
-VERSION="4.0.7"
+VERSION="4.2.4"
HOMEPAGE="http://www.rarlab.com"
-DOWNLOAD="http://www.rarlab.com/rar/unrarsrc-4.0.7.tar.gz"
-MD5SUM="41b0a9bca945b4ae2608421afd8f606e"
+DOWNLOAD="http://www.rarlab.com/rar/unrarsrc-4.2.4.tar.gz"
+MD5SUM="8ea9d1b4139474b282d76e627a2de3e4"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="Niklas 'Nille' Åkerström"
-EMAIL="nille.kungen[AT]gmail.com"
+MAINTAINER="mario"
+EMAIL="mario@slackverse.org"